Package org.jboss.logging.processor.model

## Interface DelegatingTypeElement

All Superinterfaces:
  `AnnotatedConstruct`, `DelegatingElement`, `Element`, `Parameterizable`, `QualifiedNameable`, `TypeElement`

All Known Subinterfaces:
  `MessageInterface`

    public interface DelegatingTypeElement
    extends TypeElement, DelegatingElement

A delegating `TypeElement` interface. All methods are invoked on the delegate element by default.

Author:
  James R. Perkins

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`TypeElement` `getDelegate​()` The element to delegate the default methods to.
`default List<? extends Element>` `getEnclosedElements​()`
`default Element` `getEnclosingElement​()`
`default List<? extends TypeMirror>` `getInterfaces​()`
`default NestingKind` `getNestingKind​()`
`default Name` `getQualifiedName​()`
`default Name` `getSimpleName​()`
`default TypeMirror` `getSuperclass​()`
`default List<? extends TypeParameterElement>` `getTypeParameters​()`

### Methods inherited from interface javax.lang.model.AnnotatedConstruct

`getAnnotationsByType`

### Methods inherited from interface org.jboss.logging.processor.model.DelegatingElement

`accept, asType, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getKind, getModifiers, isAnnotatedWith`

### Methods inherited from interface javax.lang.model.element.Element

`accept, asType, equals, getAnnotation, getAnnotationMirrors, getKind, getModifiers, hashCode`

### Method Detail

#### getDelegate

    TypeElement getDelegate​()

Description copied from interface: `DelegatingElement`
The element to delegate the default methods to.

Specified by:
  `getDelegate` in interface `DelegatingElement`
Returns:
  the delegate

#### getEnclosedElements

    default List<? extends Element> getEnclosedElements​()

Specified by:
  `getEnclosedElements` in interface `DelegatingElement`
Specified by:
  `getEnclosedElements` in interface `Element`
Specified by:
  `getEnclosedElements` in interface `TypeElement`

#### getNestingKind

    default NestingKind getNestingKind​()

Specified by:
  `getNestingKind` in interface `TypeElement`

#### getQualifiedName

    default Name getQualifiedName​()

Specified by:
  `getQualifiedName` in interface `QualifiedNameable`
Specified by:
  `getQualifiedName` in interface `TypeElement`

#### getSimpleName

    default Name getSimpleName​()

Specified by:
  `getSimpleName` in interface `DelegatingElement`
Specified by:
  `getSimpleName` in interface `Element`
Specified by:
  `getSimpleName` in interface `TypeElement`

#### getSuperclass

    default TypeMirror getSuperclass​()

Specified by:
  `getSuperclass` in interface `TypeElement`

#### getInterfaces

    default List<? extends TypeMirror> getInterfaces​()

Specified by:
  `getInterfaces` in interface `TypeElement`

#### getTypeParameters

    default List<? extends TypeParameterElement> getTypeParameters​()

Specified by:
  `getTypeParameters` in interface `Parameterizable`
Specified by:
  `getTypeParameters` in interface `TypeElement`

#### getEnclosingElement

    default Element getEnclosingElement​()

Specified by:
  `getEnclosingElement` in interface `DelegatingElement`
Specified by:
  `getEnclosingElement` in interface `Element`
Specified by:
  `getEnclosingElement` in interface `TypeElement`